<html>
<head>
<title>Ogre::AnyNumeric::numplaceholder Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">numplaceholder</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnyNumeric::numplaceholder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnyNumeric::numplaceholder" --><!-- doxytag: inherits="Ogre::Any::placeholder" -->
<p><code>#include &lt;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnyNumeric::numplaceholder:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnyNumeric_1_1numplaceholder__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnyNumeric_1_1numplaceholder_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnyNumeric_1_1numplaceholder_inherit__map" id="Ogre_1_1AnyNumeric_1_1numplaceholder_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1AnyNumeric_1_1numholder.html" title="Ogre::AnyNumeric::numholder\&lt; ValueType \&gt;" alt="" coords="5,160,288,189"/><area shape="rect" id="node2" href="classOgre_1_1Any_1_1placeholder.html" title="Ogre::Any::placeholder" alt="" coords="69,5,224,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnyNumeric_1_1numplaceholder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a0fc12f0f9daac95af59b02f5ecdd4f1f">~numplaceholder</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#aa37dfb658be4cb32bb248647bb7f6dd0">add</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a59c82a0733cbcb1fcc662ebe8c98b7a7">subtract</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a10a7671b8f9cb821fb5d720c3457358b">multiply</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a33346f961dc51e8a3fc0a347104f999e">multiply</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#acbf4855254ff7aefc864293d5da97ab4">divide</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *rhs)=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const std::type_info &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">getType</a> () const =0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">clone</a> () const =0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html#ac8109f388caa8709eab98200fd6aab5b">writeToStream</a> (std::ostream &amp;o)=0</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00247">247</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0fc12f0f9daac95af59b02f5ecdd4f1f"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::~numplaceholder" ref="a0fc12f0f9daac95af59b02f5ecdd4f1f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a0fc12f0f9daac95af59b02f5ecdd4f1f">Ogre::AnyNumeric::numplaceholder::~numplaceholder</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00251">251</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa37dfb658be4cb32bb248647bb7f6dd0"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::add" ref="aa37dfb658be4cb32bb248647bb7f6dd0" args="(placeholder *rhs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#aa37dfb658be4cb32bb248647bb7f6dd0">Ogre::AnyNumeric::numplaceholder::add</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a2720b7413df1f0384dc6a53f618a5776">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="ad445f6f56c8869809d9619707fbbe671"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::clone" ref="ad445f6f56c8869809d9619707fbbe671" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a8f39c28d0d67fec960573196e5e462a7">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a92b6d40054444e8fce5e47f091f63c50">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00240">Ogre::AnyNumeric::AnyNumeric()</a>.</p>

</div>
</div>
<a class="anchor" id="acbf4855254ff7aefc864293d5da97ab4"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::divide" ref="acbf4855254ff7aefc864293d5da97ab4" args="(placeholder *rhs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#acbf4855254ff7aefc864293d5da97ab4">Ogre::AnyNumeric::numplaceholder::divide</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a5df1d61d12c35b1abc587ea2323ec1f5">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="adbffede1819fffac5df00b2456d485ba"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::getType" ref="adbffede1819fffac5df00b2456d485ba" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::type_info&amp; <a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a30747552f8f12160cab496cf7b0d3e23">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a56afb766401eb023cbefc760a7d9c984">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00109">Ogre::Any::getType()</a>.</p>

</div>
</div>
<a class="anchor" id="a10a7671b8f9cb821fb5d720c3457358b"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::multiply" ref="a10a7671b8f9cb821fb5d720c3457358b" args="(placeholder *rhs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a10a7671b8f9cb821fb5d720c3457358b">Ogre::AnyNumeric::numplaceholder::multiply</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a09ef8fec011588204b5ffc4c00770526">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a33346f961dc51e8a3fc0a347104f999e"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::multiply" ref="a33346f961dc51e8a3fc0a347104f999e" args="(Real factor)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a10a7671b8f9cb821fb5d720c3457358b">Ogre::AnyNumeric::numplaceholder::multiply</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a582605d2ca14d373552fc099760a346a">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a59c82a0733cbcb1fcc662ebe8c98b7a7"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::subtract" ref="a59c82a0733cbcb1fcc662ebe8c98b7a7" args="(placeholder *rhs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html#a59c82a0733cbcb1fcc662ebe8c98b7a7">Ogre::AnyNumeric::numplaceholder::subtract</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a28c881c1c5e62ebeb79d451f059fbed4">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="ac8109f388caa8709eab98200fd6aab5b"></a><!-- doxytag: member="Ogre::AnyNumeric::numplaceholder::writeToStream" ref="ac8109f388caa8709eab98200fd6aab5b" args="(std::ostream &amp;o)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ac8109f388caa8709eab98200fd6aab5b">Ogre::Any::placeholder::writeToStream</a> </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implemented in <a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html#a1cd19a31e8c9e9f73824e2db792bf629">Ogre::AnyNumeric::numholder&lt; ValueType &gt;</a>, and <a class="el" href="classOgre_1_1Any_1_1holder.html#a5877c5d406ad50d82277f0f85444f2e0">Ogre::Any::holder&lt; ValueType &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h_source.html">OgreAny.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
